%define upstream_name    Class-DBI-mysql
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Class::DBI extension for MySQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::DBI)

BuildArch:      noarch


%description
This is an extension to Class::DBI, containing several functions and
optimisations for the MySQL database. Instead of setting Class::DBI as your
base class, use this instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# requires a running mysql server

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README INSTALL META.yml
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-7.mga4
+ Revision: 509924
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-6.mga3
+ Revision: 364340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.0.0-5.mga1
+ Revision: 31779
- mageia rebuild
- cleaning spec file
- imported package perl-Class-DBI-mysql


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-5mdv2010.1
+ Revision: 505426
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.00-4mdv2010.0
+ Revision: 430327
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.00-3mdv2009.0
+ Revision: 241179
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2008.0
+ Revision: 91095
- import perl-Class-DBI-mysql


* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2008.0
- first mdv release
